Hierarchy

Index

Methods

Static createAsset

Static createAssetClass

Static createAssetTemplate

Static createAssetType

Static createAssetTypeMetadata

Static deleteAsset

Static deleteAssetClass

Static deleteAssetTemplate

Static deleteAssetType

Static deleteAssetTypeMetadata

Static getAsset

Static getAssetClass

Static getAssetHierarchies

Static getAssetHierarchy

  • getAssetHierarchy(__namedParameters: { assetName: string; assetTypeDepth: string; entityTypeDepth: string }, options?: IKvHttpRequestOptions): Observable<Asset>

Static getAssetOEE

Static getAssetStatistics

Static getAssetStatusCount

Static getAssetStatuses

Static getAssetTemplate

Static getAssetType

Static getAssetTypeMetadata

Static getPaginator

Static listAsset

  • listAsset(__namedParameters?: { assetTypeName: string[]; endingBefore: string; entityTypeName: string[]; map: string; names: string[]; pageSize: number; properties: string[]; propertiesFilter: string[]; search: string[]; sortAsc: boolean; sortBy: string; startingAfter: string; statusState: string[] }, options?: IKvHttpRequestOptions): Observable<AssetListPaginated>

Static listAssetClass

  • listAssetClass(__namedParameters?: { endingBefore: string; entityTypeName: string[]; owner: string; pageSize: number; search: string[]; sortAsc: boolean; sortBy: string; startingAfter: string }, options?: IKvHttpRequestOptions): Observable<AssetClassListPaginated>

Static listAssetDataStreams

Static listAssetTemplate

  • listAssetTemplate(__namedParameters?: { assetClassNames: string[]; assetTypeNames: string[]; endingBefore: string; entityTypeNames: string[]; owner: string; pageSize: number; search: string[]; sortAsc: boolean; sortBy: string; startingAfter: string }, options?: IKvHttpRequestOptions): Observable<AssetTemplateListPaginated>

Static listAssetType

  • listAssetType(__namedParameters?: { assetClassName: string[]; endingBefore: string; entityTypeName: string[]; metadata: string[]; metadataFilter: string[]; owner: string; pageSize: number; search: string[]; sortAsc: boolean; sortBy: string; startingAfter: string }, options?: IKvHttpRequestOptions): Observable<AssetTypeListPaginated>
  • List Asset Type List Asset Type Returns a filtered dictionary with a data object containing an array of <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-assets/#asset-type&#39; target='_blank'>Kelvin Asset Type</a> objects on the Kelvin Platform that meet the criteria of any parameters passed with the API request. If no query parameters are given with the API request, then the defaults will be used to return the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-assets/#asset-type&#39; target='_blank'>Kelvin Asset Type</a> list. The defaults are the first 20 <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-assets/#asset-type&#39; target='_blank'>Kelvin Asset Type</a> objects returned in alphabetical order by the unique identifier name. Pagination Sortable Columns: `asset_class.name`, `asset_class.title`, `asset_class.created`, `asset_class.updated`, `asset_class.owner`, `asset_class.device_type_name` Pagination Sortable Columns: `asset_type.name`, `asset_type.title`, `asset_type.created`, `asset_type.updated`, `asset_type.owner`, `asset_class.name`, `asset_class.title`, `asset_class.device_type_name` Permission Required: `kelvin.permission.asset_type.read`

    Parameters

    • Default value __namedParameters: { assetClassName: string[]; endingBefore: string; entityTypeName: string[]; metadata: string[]; metadataFilter: string[]; owner: string; pageSize: number; search: string[]; sortAsc: boolean; sortBy: string; startingAfter: string } = {}
      • assetClassName: string[]

        Filter on the parameter <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-assets/#asset-class&#39; target='blank'>Kelvin Asset Class</a> by its name. This is given as an array, for example `[pump,fan]`.</p> The search is done on the full name only according to unique identifier name rules (Must contain only lowercase alphanumeric characters. The `.`, `` and `-` characters are also allowed to separate words instead of a space but not at the beginning or end). For example a search with `[pump,fan]` will return <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-assets/#asset-class&#39; target='_blank'>Kelvin Asset Class</a> with the name `pump` but not with the names `pumps` or `centrifugal-fan`.

      • endingBefore: string

        An alphanumeric string to move to the previous page of <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-assets/#asset-type&#39; target='_blank'>Kelvin Asset Types</a> in the list.</p> The alphanumeric string which are the bookmarks for the beginning and end of the current list is given in the previous JSON response value under the key pagination -> previous_page and pagination -> next_page respectively.</p> The pagination -> previous_page alphanumeric string should be used here to show a list of the previous page of results.

      • entityTypeName: string[]

        Filter and return the results of one or more of the entity type names. This is given as an array, for example `[group,asset]`. Prefix any entity type name with the character `!` for a NOT operation.</p> There are five entity type names available to choose from; `group`, `asset`, `component`, `part`, `sensor`.</p> The default will select all available entity type name options.</p>

      • metadata: string[]

        Array of Kelvin Asset Type Metadata names. Kelvin Asset Type Metadata payload(s) will be attached to any <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-assets/#asset-type&#39; target='_blank'>Kelvin Asset Types</a> that are linked to any of the Kelvin Asset Type Metadata name(s) in this list.

      • metadataFilter: string[]

        Array of Kelvin Asset Type Metadata filter options to perform on the Kelvin Asset Type Metadata payload.</p> Each filter takes the format `<metadata_name>.<payload_key>=<wanted_filtered_value>`. An example of two filters is `[metadata-test1.key1=String1,metadata-test2.key2=88]`.</p> Any JSON keys with string values are case sensitive.</p> Multiple JSON key filters in the array from the same Kelvin Asset Type Metadata object will be filtered as `OR`. For example; if Kelvin Asset Type Metadata name `metadata-test` has two key parameters `'key1': 'String1'` and `'key2': 25`, then a metadata_filter `[metadata-test.key1=String1,metadata-test.key2=88]` will return results as one of the two values match in the same Kelvin Asset Type Metadata object.</p> Multiple JSON key filters in the array from different Kelvin Asset Type Metadata objects will be filtered as `AND`. For example; if Kelvin Asset Type Metadata name `metadata-test1` has a key/value pair `'key1': 'String1'` and Kelvin Asset Type Metadata name `metadata-test2` has a key/value pair`'key2': 25`, then a metadata_filter `[metadata-test1.key1=String1,metadata-test2.key2=88]` will <strong>NOT</strong> return results as one of the two key/value pairs from different Kelvin Asset Type Metadata objects does not match.

      • owner: string

        Filter <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-assets/#asset-type&#39; target='_blank'>Kelvin Asset Type</a> by owner.</p> There are two types of owners; `custom` (any user) or `kelvin` (core kelvin asset type).</p> The default will select all owner options.

      • pageSize: number

        Number of <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-assets/#asset-type&#39; target='_blank'>Kelvin Asset Type</a> objects to be returned. Page size can be between 1 and 1000 objects.</p> The default is 20 Kelvin Asset Type objects.

      • search: string[]

        Search and filter the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-assets/#asset-type&#39; target='_blank'>Kelvin Asset Type</a> list. Both the Display Name and the Name will be included in the search field criteria. This is given as an array, for example `[pump,fan]`.</p> The search is case insensitive and will find partial matches as well. For example if a Kelvin Asset Type name is `centrifugal_pump`, then a match will be made if the search string is `pum` or `FUGaL`.

      • sortAsc: boolean

        Sorting order for the results according to the `sort_by` parameter.</p> There are two options; `true` (ascending order) and `false` (descending order).</p> The default is `true` (ascending).

      • sortBy: string

        Sort the results by one of the <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-assets/#asset-type&#39; target='_blank'>Kelvin Asset Types</a> parameters. Only one parameter can be selected.</p> There are eight parameter options; `asset_type.name`, `asset_type.title`, `asset_type.created`, `asset_type.updated`, `asset_class.name`, `asset_class.title`, `asset_type.owner` and `asset_class.device_type_name`.</p> The default is `asset_type.name`

      • startingAfter: string

        An alphanumeric string to move to the next page of <a href='https://docs.kelvininc.com/latest/kelvin-overview/kelvin-platform/kelvin-assets/#asset-type&#39; target='_blank'>Kelvin Asset Types</a> in the list.</p> The alphanumeric string which are the bookmarks for the beginning and end of the current list is given in the previous JSON response value under the key pagination -> previous_page and pagination -> next_page respectively.</p> The pagination -> next_page alphanumeric string should be used here to show a list of the next page of results.

    • Optional options: IKvHttpRequestOptions

      Request optional parameters

    Returns Observable<AssetTypeListPaginated>

Static listAssetTypeMetadata

  • listAssetTypeMetadata(__namedParameters: { assetTypeName: string; endingBefore: string; pageSize: number; search: string[]; sortAsc: boolean; sortBy: string; startingAfter: string }, options?: IKvHttpRequestOptions): Observable<AssetTypeMetadataListPaginated>

Static listFailureOverview

Static onError

Static request

Static requestUrl

  • requestUrl<T>(request: IKvHttpRequest, modelClass?: IModel, autenticated?: boolean): Observable<T>

Static updateAsset

Static updateAssetClass

Static updateAssetHierarchies

Static updateAssetTemplate

Static updateAssetType

Static updateAssetTypeMetadata

Static uploadAssets